Package org.eclipse.compare.internal

# Class NullViewer

java.lang.Object
org.eclipse.jface.viewers.Viewer
org.eclipse.compare.internal.AbstractViewer
org.eclipse.compare.internal.NullViewer

All Implemented Interfaces:
  `IInputProvider`, `IInputSelectionProvider`, `ISelectionProvider`

public class NullViewer extends AbstractViewer
Used whenever the input is null or no viewer can be found.

## Field Summary

### Fields inherited from class org.eclipse.jface.viewers.Viewer

`WIDGET_DATA_KEY`

## Constructor Summary

Constructors
Constructor
Description
`NullViewer(Composite parent)`

## Method Summary

Modifier and Type
Method
Description
`Control`
`getControl()`
Returns the primary control associated with this viewer.

### Methods inherited from class org.eclipse.compare.internal.AbstractViewer

`getInput, getSelection, refresh, setInput, setSelection`

### Methods inherited from class org.eclipse.jface.viewers.Viewer

`addHelpListener, addSelectionChangedListener, fireHelpRequested, fireSelectionChanged, getData, handleHelpRequest, inputChanged, removeHelpListener, removeSelectionChangedListener, scrollDown, scrollUp, setData, setSelection`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### NullViewer

public NullViewer(Composite parent)

## Method Details

### getControl

public Control getControl()
Description copied from class: `Viewer`
Returns the primary control associated with this viewer.

Specified by:
  `getControl` in class `Viewer`
Returns:
  the SWT control which displays this viewer's content